"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const JSONContentTypeHandler_js_1 = __importDefault(require("./JSONContentTypeHandler.js"));
describe("JSONContentTypeHandler", function () {
    it("provides stringified JSON from data", function () {
        const expected = {
            fruit: "apple",
            number: 3,
        };
        const content = JSONContentTypeHandler_js_1.default.getContentForRequestFromPayload(expected);
        (0, chai_1.expect)(JSON.parse(content)).to.deep.equal(expected);
    });
});
//# sourceMappingURL=JSONContentTypeHandler.spec.js.map