"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseBodyNotJSONError = void 0;
/**
 * This is thrown when the text of response body cannot be processed by JSON.parse.
 */
class ResponseBodyNotJSONError extends TypeError {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, ResponseBodyNotJSONError.prototype);
        this.name = new.target.name;
    }
}
exports.ResponseBodyNotJSONError = ResponseBodyNotJSONError;
//# sourceMappingURL=errors.js.map