"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const WWWFormEncodedContentTypeHandler_js_1 = __importDefault(require("./WWWFormEncodedContentTypeHandler.js"));
describe("WWWFormEncodedContentTypeHandler", function () {
    it("provides form encoded from data", function () {
        const sourceData = {
            fruit: "apple",
            number: 3,
        };
        const expected = "fruit=apple&number=3";
        (0, chai_1.expect)(WWWFormEncodedContentTypeHandler_js_1.default.getContentForRequestFromPayload(sourceData)).to.deep.equal(expected);
    });
});
//# sourceMappingURL=WWWFormEncodedContentTypeHandler.spec.js.map