import type { ContentTypeHandler } from "../types/ContentTypeHandlers.js";
/**
 * A content type handler that can provide WWW Form encoded bodies.
 *
 * Converts the payload (which should be a simple key value pair object) to URL encoding.
 */
declare const WWWFormEncodedContentTypeHandler: ContentTypeHandler<Record<string, unknown>>;
export default WWWFormEncodedContentTypeHandler;
//# sourceMappingURL=WWWFormEncodedContentTypeHandler.d.ts.map